/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomPluginArray_H__
#define __GdomPluginArray_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomPluginArray GdomPluginArray;
typedef struct _GdomPluginArrayClass GdomPluginArrayClass;


#define GDOM_TYPE_PLUGIN_ARRAY            (gdom_plugin_array_get_type())
#define GDOM_PLUGIN_ARRAY(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_PLUGIN_ARRAY, GdomPluginArray))
#define GDOM_PLUGIN_ARRAY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_PLUGIN_ARRAY, GdomPluginArray)Class)
#define GDOM_IS_PLUGIN_ARRAY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_PLUGIN_ARRAY))
#define GDOM_IS_PLUGIN_ARRAY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_PLUGIN_ARRAY))
#define GDOM_PLUGIN_ARRAY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_PLUGIN_ARRAY, GdomPluginArrayClass))

typedef struct _GdomPluginArrayPrivate GdomPluginArrayPrivate;

struct _GdomPluginArray {
    GdomDOMObject parent_instance;
    GdomPluginArrayPrivate *priv;
};

struct _GdomPluginArrayClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_plugin_array_get_type (void);

WEBKIT_API void
gdom_plugin_array_refresh (GdomPluginArray *thiz, gboolean reload);

G_END_DECLS

#endif /* __GdomPluginArray_H__ */
